Subject: Newbie - Please help! configure mod_ssl for Apache on SCO

From: "Fitzmaurice, James" <[email-masked]>
Date: Thu, 20 Feb 2003 12:02:12 -0500

Please help! I've been attempting to compile mod_ssl 2.8.9 for apache 1.3.26
and keep running into either environment issues or version problems on SCO
OpenServer 5.05

I need to apply a Verisign Cert on our Apache Web Server. I installed
OpenSSL
and was able to generate a Cert. Now I need to apply the Cert and Apache is
not
yet SSL enabled. Below is the ouput I get when I run configure and below
that is 
the output of the config.log. Where am I going wrong? I would really
appreciate some
help with this as I am new at Unix Admin stuff.

Thanks!

Jim Fitzmaurice
Systems Administrator
Garber Travel
[email-masked]

# ./configure --with-apache=/usr/local/lib/apache_1.3.26
--prefix=/usr/local/lib
/apache
Configuring mod_ssl/2.8.9 for Apache/1.3.26
 + Apache location: /usr/local/lib/apache_1.3.26 (Version 1.3.26)
 + Auxiliary patch tool: ./etc/patch/patch (local)
./configure:Error: Building of 'patch' tool failed:
-------------------------------------------------
x patch/rename.c, 1323 bytes, 3 tape blocks
x patch/util.c, 9365 bytes, 19 tape blocks
x patch/util.h, 2325 bytes, 5 tape blocks
x patch/version.c, 280 bytes, 1 tape blocks
x patch/version.h, 25 bytes, 1 tape blocks
creating cache ./config.cache
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... no
configure: error: installation or configuration problem: C compiler cannot
creat
e executables.
make: *** No targets specified and no makefile found.  Stop.
-------------------------------------------------
Hint: Either try to build 'patch' under etc/patch/
Hint: manually and re-run this 'configure' script
Hint: or provide us the path to your vendor 'patch'
Hint: program via the --with-patch=FILE option (but
Hint: expect perhaps failures when applying patches!)

# cat config.log
tar: blocksize = 20
x patch/.cvsignore, 62 bytes, 1 tape blocks
x patch/COPYING, 17982 bytes, 36 tape blocks
x patch/EXTERN.h, 133 bytes, 1 tape blocks
x patch/INTERN.h, 110 bytes, 1 tape blocks
x patch/Makefile.in, 755 bytes, 2 tape blocks
x patch/README, 63 bytes, 1 tape blocks
x patch/backupfile.c, 9814 bytes, 20 tape blocks
x patch/backupfile.h, 1467 bytes, 3 tape blocks
x patch/common.h, 4291 bytes, 9 tape blocks
x patch/config.h.in, 2228 bytes, 5 tape blocks
x patch/configure, 53417 bytes, 105 tape blocks
x patch/configure.in, 420 bytes, 1 tape blocks
x patch/getopt.c, 34801 bytes, 68 tape blocks
x patch/getopt.h, 4651 bytes, 10 tape blocks
x patch/inp.c, 9636 bytes, 19 tape blocks
x patch/inp.h, 321 bytes, 1 tape blocks
x patch/patch.c, 20215 bytes, 40 tape blocks
x patch/patchlevel.h, 28 bytes, 1 tape blocks
x patch/pch.c, 31988 bytes, 63 tape blocks
x patch/pch.h, 548 bytes, 2 tape blocks
x patch/rename.c, 1323 bytes, 3 tape blocks
x patch/util.c, 9365 bytes, 19 tape blocks
x patch/util.h, 2325 bytes, 5 tape blocks
x patch/version.c, 280 bytes, 1 tape blocks
x patch/version.h, 25 bytes, 1 tape blocks
creating cache ./config.cache
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... no
configure: error: installation or configuration problem: C compiler cannot
creat
e executables.
make: *** No targets specified and no makefile found.  Stop. 

My environment conatins the following:
CC=gcc
GCC_EXEC_PREFIX=:/usr/local/lib/gcc-lib/i386-pc-sco3.2v5.0.5/2.95.2
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]